Déclaration de Kaspersky Security Network – Kaspersky Endpoint Security 10 for Linux

A. INTRODUCTION

Veuillez lire attentivement ce document. Il fournit des informations importantes dont vous devez prendre connaissance avant de continuer à utiliser nos services ou logiciels. Nous nous réservons le droit de modifier cette Déclaration à tout moment en introduisant des changements sur cette page.

AO Kaspersky Lab (dénommé ci-après Kaspersky Lab) a élaboré la présente Déclaration en vue de communiquer ses pratiques de collecte et de diffusion des données relativement au Logiciel Kaspersky Endpoint Security 10 for Linux.

Kaspersky Lab s’engage fermement à fournir un service supérieur à tous ses clients, notamment en respectant vos préoccupations au sujet du Traitement des données.

Cette Déclaration contient de nombreux détails techniques et généraux décrivant les mesures que nous prenons pour tenir compte de vos préoccupations sur le Traitement des données. Répondre à vos besoins et attentes est la base de tout ce que nous faisons, y compris en matière de protection des données.

Le service Kaspersky Security Network permet aux utilisateurs des produits de sécurité Kaspersky Lab du monde entier de contribuer à la simplification de l’identification et à la réduction du temps requis pour assurer une protection contre les menaces de sécurité nouvelles (« en circulation ») et complexes, ainsi que contre leurs sources et les menaces d’intrusion, et également d’améliorer le niveau de protection des informations stockées et traitées par l’utilisateur de l’ordinateur. Ces renseignements ne contiennent aucune information personnellement identifiable concernant l’utilisateur et sont utilisées par Kaspersky Lab à la seule fin d’améliorer ses produits de sécurité ainsi que ses solutions contre les menaces malveillantes et les virus.

En participant à Kaspersky Security Network, vous et les autres utilisateurs des produits de sécurité Kaspersky Lab du monde entier contribuez de manière significative à un environnement Internet plus sûr.

Questions juridiques (le cas échéant)

Kaspersky Security Network peut être soumis à la législation de plusieurs pays parce que ses services peuvent être utilisés dans différentes juridictions, notamment les États-Unis d’Amérique. Kaspersky Lab transmettra des informations sans votre autorisation lorsque la loi l’impose, ou de bonne foi quand une telle action est nécessaire pour enquêter sur les activités nuisibles contre des clients de Kaspersky Lab, ses visiteurs, ses collaborateurs, ses biens ou d’autres et pour les protéger contre celles-ci. Comme mentionné ci-dessus, les lois relatives aux données et informations traitées par Kaspersky Security Network peuvent varier selon les pays.

Il incombe à Kaspersky Security Network d’informer comme il se doit les utilisateurs concernés lors du premier traitement des informations ci-dessus de tout partage de ces informations et de permettre à ces utilisateurs Internet d’accepter (dans les États membres de l’UE et d’autres pays nécessitant une procédure d’acceptation) ou de refuser (pour tous les autres pays) en ligne l’utilisation commerciale de ces données et/ou la transmission de ces données à des tiers.

Les autorités policières ou judiciaires peuvent obliger Kaspersky Lab à communiquer certaines informations aux autorités gouvernementales appropriées. Si les autorités policières ou judiciaires le demandent, nous fournirons ces informations à la réception du document approprié. Kaspersky Lab peut également communiquer des informations aux forces de l’ordre pour protéger sa propriété ainsi que la santé et la sécurité des personnes dans les limites autorisées par la loi.

B. INFORMATIONS RECUES
Afin, d’une part, d’identifier les nouvelles menaces et les défis contre la sécurité des données et leurs sources ainsi que les menaces d’intrusion et d’autre part, de prendre les mesures rapides pour renforcer la protection des données stockées et traitées par l’Utilisateur au moyen de l’ordinateur, l’Utilisateur s’engage à fournir les informations suivantes de manière automatique :
- les noms et identifiants des modules du Logiciel, le type de processeur (CPU), les informations portant sur le fonctionnement du mode Device Guard ;
- les informations relatives aux applications exécutées et à leurs modules, y compris les informations portant sur les processus exécutés sur le système (identifiant du processus [PID]), le nom du processus, les informations relatives au compte à partir duquel le processus a démarré, l’application et la commande qui ont démarré le processus, le signe du programme ou du processus de confiance, le chemin complet des fichiers du processus et la ligne de commande de démarrage, une description du produit auquel appartient le processus (y compris le nom du produit et les informations relatives à l’éditeur), ainsi que les certificats numériques utilisés et les informations requises pour vérifier leur authenticité ou les informations sur l’absence de signature numérique d’un fichier, et les informations relatives aux modules chargés dans les processus, y compris leurs noms, tailles, types, dates de création, attributs, sommes de contrôle (MD5, SHA2-256, SHA1), leurs chemins, les informations d’en-tête du fichier PE, les noms des utilitaires de compression (si le fichier était compressé) ;
- les informations relatives à l’ensemble des objets analysés, y compris le nom et la taille de l’objet, le chemin complet vers l’objet sur l’ordinateur et le code du modèle de chemin, les sommes de contrôle de l’objet (MD5, SHA2-256), le code du type de fichier, l’identifiant de format de fichier, l’indicateur de vérification de la réputation ou de vérification de signature du fichier, l’indicateur relatif à la détection silencieuse de l’objet, l’identifiant de tâche du Logiciel qui a réalisé l’analyse, le type de méthode de détection utilisé ;
- si des menaces ou des vulnérabilités sont détectées, outre les informations relatives à l’objet détecté, des informations sont fournies concernant l’identifiant, la version et le type d’enregistrement dans la base de données antivirus, le nom de la menace selon la classification du Titulaire des droits, l’horodatage des bases de données antivirus utilisées, l’identifiant de vulnérabilité et son niveau de menace ;
- les informations sur l’émulation du fichier exécutable, y compris la taille et les sommes de contrôle du fichier (MD5, SHA2-256), la version du composant d’émulation, la profondeur de l’émulation, le tableau de propriétés de blocs logiques et les fonctions pour les blocs logiques obtenus pendant l’émulation, les données tirées des en-têtes PE du fichier exécutable ;
- si un objet potentiellement malveillant est détecté, les informations relatives aux données présentes dans la mémoire du processus, les éléments de la hiérarchie d’objets du système (ObjectManager), les données de la mémoire BIOS UEFI, les noms et les valeurs des clés de registre seront fournis ;
- les informations relatives à l’événement issues des journaux système, y compris l’horodatage de l’événement, le nom du journal dans lequel l’événement a été détecté, le type et la catégorie de l’événement, le nom de la source de l’événement et la description de l’événement ;
- les informations relatives aux connexions réseau, y compris la version et les sommes de contrôle (MD5, SHA2-256, SHA1) du fichier à partir duquel le processus qui a ouvert le port a démarré, le chemin du fichier du processus et sa signature numérique, les adresses IP locales et distantes, le nombre de ports de connexion locaux et distants, l’état de la connexion, l’horodatage de l’ouverture du port ;
- la valeur du filtre TARGET de la tâche de mise à jour et les informations relatives à la version du protocole utilisé pour se connecter aux services du Titulaire des droits.

Pour examen supplémentaire, l’Utilisateur s’engage à fournir les fichiers ou parties de fichiers, ainsi que leurs sommes de contrôle, susceptibles d’être exploités par des intrus pour endommager l’ordinateur de l’Utilisateur.

De plus, pour empêcher les incidents et pour étudier ceux qui se produisent, l’Utilisateur s’engage à fournir les fichiers exécutables et non exécutables de confiance, les journaux d’activité des processus, les parties de la RAM de l’ordinateur et les secteurs de démarrage du système d’exploitation ainsi que les informations suivantes relatives aux fichiers et aux processus :
- les noms et chemins d’accès des fichiers auxquels le processus à accédé ;
- les noms et valeurs des clés de registre auxquelles le processus à accédé ;
- les adresses Internet et IP auxquelles le processus à accédé ;
- les adresses Internet et IP à partir desquelles le fichier en exécution a été téléchargé.

Afin de détecter et de corriger rapidement les erreurs associées à l’installation, à la désinstallation et à la mise à jour du produit, et d’enregistrer le nombre d’utilisateurs, l’Utilisateur accepte de fournir des informations relatives à la date d’installation et d’activation du Logiciel sur l’ordinateur, la région du Logiciel, la clé d’activation et l’identifiant de la licence installée, ainsi que l’indicateur de la participation de l’Utilisateur au KSN.

Pour améliorer le niveau de performance des produits de Kaspersky Lab, l’Utilisateur s’engage à fournir les informations suivantes :
- la version du module Updater, le type d’erreur pouvant survenir pendant une mise à jour, l’état d’exécution de la tâche de mise à jour, l’identifiant de type de la tâche de mise à jour ;
- le nombre d’échecs de mise à jour et le nombre d’incidents du module Updater pendant l’exécution des tâches de mise à jour sur toute la durée de fonctionnement du composant ;
- la version et les sommes de contrôle (MD5, SHA2-256, SHA1) du fichier noyau du SE, les paramètres du mode d’exécution du SE ;
- les informations relatives au logiciel installé sur l’ordinateur, y compris le nom du logiciel et le nom de son éditeur, les informations relatives aux clés de registre et leurs valeurs, les informations sur les fichiers des composants du logiciel y compris les sommes de contrôle (MD5, SHA2-256, SHA1), le nom du fichier, son chemin d’accès sur l’ordinateur, la taille, la version et la signature numérique ;
- les informations sur le matériel installé sur l’ordinateur, y compris le type, le nom, le nom du modèle, la version du firmware, les paramètres des périphériques intégrés et connectés ;
- les informations relatives au dernier échec de redémarrage du SE y compris le nombre d’échecs de redémarrage.

Dans le cadre de sa participation au KSN, l’Utilisateur accepte de fournir les informations suivantes pour l’ensemble des besoins mentionnés ci-dessus :
- l’identifiant unique d’installation du Logiciel ;
- la version complète du Logiciel installé ;
- l’identifiant de type du Logiciel installé ;
- l’identifiant unique de l’ordinateur sur lequel le Logiciel est installé ;
- les informations sur les versions du système d’exploitation et des mises à jour installées.

Sécurisation de la transmission et du stockage des données

Kaspersky Lab s’engage à protéger la sécurité des informations traitées. Les informations traitées sont stockées sur des serveurs informatiques dont l’accès est restreint et contrôlé. Kaspersky Lab utilise des réseaux de données sécurisés qui sont protégés par des pare-feu et des systèmes de protection par mot de passe conformes aux normes du secteur. Kaspersky Lab utilise un large éventail de technologies et procédures de sécurité pour protéger les informations contre les menaces telles que l’accès, l’utilisation ou la divulgation non autorisés. Nos politiques de sécurité sont régulièrement revues et améliorées au besoin, et seules les personnes autorisées ont accès aux données que nous traitons. Kaspersky Lab prend des mesures pour veiller à ce que vos informations soient traitées de manière sécurisée et conformément à la présente Déclaration. Malheureusement, la transmission de données n’est pas toujours sécurisée à 100 %. Par conséquent, bien que nous nous efforcions de protéger vos données, nous ne pouvons pas garantir la sécurité des données que vous nous transmettez ou qui proviennent de nos produits ou services, y compris, mais pas exclusivement, Kaspersky Security Network, et vous utilisez tous ces services à vos propres risques.

Nous traitons les données comme des informations confidentielles ; par conséquent, elles sont soumises à nos procédures de sécurité et nos politiques d’entreprise en matière de protection et d’utilisation des informations confidentielles. Tous les employés de Kaspersky Lab sont au courant de nos politiques de sécurité. Vos données sont accessibles uniquement aux employés qui en ont besoin pour accomplir leur travail. Les données enregistrées ne seront pas associés à des informations personnelles identifiables. Kaspersky Lab ne combine pas les données stockées par Kaspersky Security Network avec les données, les listes de contacts ou les informations d’abonnement qui sont traitées par Kaspersky Lab à des fins promotionnelles ou autres.

C. UTILISATION DES DONNEES TRAITÉES

Kaspersky Lab traite les données afin d’analyser et d’identifier la source de risques potentiels de sécurité et d’améliorer la capacité des produits de Kaspersky Lab à détecter les comportements malveillants, les sites Internet frauduleux, les logiciels illégaux et autres types de menaces à la sécurité sur Internet afin d’offrir le meilleur niveau possible de protection aux clients de Kaspersky Lab à l’avenir.

Divulgation des informations à des tierces parties

Kaspersky Lab peut divulguer les informations traitées à la demande d’un représentant des autorités judiciaires et policières dans le contexte défini par la loi, en réponse à une assignation à comparaître ou à toute autre procédure légale ou si nous pensons en toute bonne foi que nous sommes tenus de le faire pour respecter la loi, une réglementation, une assignation à comparaître ou toute autre procédure légale ou demande gouvernementale exécutoire en vigueur. Kaspersky Lab peut également divulguer des informations lorsque nous estimons que la divulgation de ces informations est nécessaire pour identifier une personne qui violerait la présente Déclaration, les termes de vos contrats avec Kaspersky Lab, la contacter ou intenter une action en justice contre celle-ci ou pour protéger la sécurité de nos utilisateurs et du public ou dans des accords de confidentialité et de licence avec certaines tierces parties qui nous aident à développer, exploiter et entretenir le Kaspersky Security Network. Afin de promouvoir la sensibilisation, la détection et la prévention des risques pour la sécurité sur Internet, Kaspersky Lab peut partager certaines informations avec des organismes de recherche et d’autres éditeurs de logiciels de sécurité. Kaspersky Lab peut également faire usage de statistiques tirées des informations traitées pour suivre les tendances en matière de risques sur la sécurité et publier des rapports ceux-ci.

D. TRAITEMENT DE DONNÉES - QUESTIONS ET PLAINTES CONNEXES

Kaspersky Lab reçoit et traite les inquiétudes de ses utilisateurs concernant le Traitement des données avec le plus grand respect et avec la plus haute attention. Si vous pensez que Kaspersky Lab n’a pas respecté la présente Déclaration en ce qui concerne vos informations ou données, ou si vous avez d’autres demandes ou inquiétudes connexes, vous pouvez envoyer un e-mail à Kaspersky Lab à l’adresse : support@kaspersky.com.

Veuillez décrire dans votre message la nature de votre demande de la façon la plus détaillée possible. Nous étudierons votre demande ou plainte sans délai.

CHOIX POSSIBLES

En cas de refus de participer au KSN, les données susmentionnées ne seront pas transmises. Les données sont traitées et stockées sur une portion restreinte et protégée de l’ordinateur de l’utilisateur. Ces données ne peuvent être restaurées après une désinstallation. Si vous acceptez de participer au KSN, les données seront transférées à Kaspersky Lab afin d’atteindre les objectifs susmentionnés.

Kaspersky Lab protège les informations reçues conformément à la législation en vigueur et aux règles de Kaspersky Lab.
Kaspersky Lab utilisera les informations reçues uniquement sous forme anonyme, dans le cadre de données statistiques globales. Ces statistiques globales sont générées automatiquement à partir des informations reçues et ne contiennent aucune information personnelle ou autre information confidentielle. Les informations reçues sont détruites au fil de leur accumulation (une fois par an). Les statistiques générales sont conservées indéfiniment.

La participation au Kaspersky Security Network est facultative. Vous pouvez activer et désactiver le service Kaspersky Security Network à tout moment en modifiant les paramètres relatifs aux Commentaires sous l’onglet de configuration de votre produit Kaspersky Lab. Cependant, si vous choisissez de désactiver le service Kaspersky Security Network, nous pourrions ne plus être en mesure de vous fournir certains des services qui dépendent du traitement de ces données.

Nous nous réservons également le droit d’envoyer des messages d’alertes occasionnels aux utilisateurs pour les informer des changements spécifiques qui peuvent affecter leur utilisation de nos services auxquels ils avaient déjà souscrits. Nous nous réservons également le droit de vous contacter si nous sommes contraints de le faire dans le cadre d’une procédure judiciaire ou s’il y a eu une violation de toute licence, garantie ou contrat d’achat en vigueur.

Kaspersky Lab conserve ces droits parce que dans des cas bien précis, nous pensons que nous devons pouvoir vous contacter pour une question légale ou sur des sujets qui peuvent être importants pour vous. Ces droits ne nous autorisent pas à vous contacter pour vendre des services nouveaux ou existants si vous nous avez demandé de ne pas le faire ; la transmission de ce type de communications est rare. 

(c) 2016 AO Kaspersky Lab. Tous droits réservés.
