ПОЛОЖЕНИЕ О KASPERSKY SECURITY NETWORK

Настоящее Положение определяет порядок предоставления Пользователями информации, указанной в приведенном ниже перечне, и использование предоставленной информации.

Настоящее Положение относится к продукту Kaspersky Endpoint Security 10 для Linux, правообладателем которого является АО «Лаборатория Касперского» (далее Лаборатория Касперского).

В целях выявления новых и сложных для обнаружения угроз информационной безопасности и их источников, угроз вторжения, а также оперативного принятия мер по повышению уровня защиты информации, хранимой и обрабатываемой Пользователем с помощью ЭВМ, Пользователь соглашается в автоматическом режиме предоставлять следующую информацию:
- имена и идентификаторы модулей ПО, тип процессора (CPU), информацию о включении режима Device Guard;
- информацию о запускаемых программах и их модулях, в том числе данные о запущенных процессах в системе (идентификатор процесса в системе (PID), имя процесса, данные об учетной записи, от которой запущен процесс, программе и команде, запустившей процесс, а также признак доверенности программы или процесса, полный путь к файлам процесса и командная строка запуска, описание продукта, к которому относится процесс (включая название продукта и данные об издателе), а также данные об используемых цифровых сертификатах и информацию, необходимую для проверки их подлинности, или данные об отсутствии цифровой подписи файла), также информацию о загружаемых в процессы модулях, в том числе их имени, размере, типе, дате создания, атрибутах, контрольной сумме (MD5, SHA2-256, SHA1), пути к ним, информация заголовка PE-файлов, названия упаковщика (если файл был упакован);
- информация обо всех проверяемых объектах, в том числе название и размер объекта, полный путь к объекту на компьютере и код шаблона пути, контрольные суммы объекта (MD5, SHA2-256), код типа файла, идентификатор формата файла, признак проверки репутации или подписи файла, признак обнаружения объекта в отладочном режиме, идентификатор задачи ПО, которое выполнило проверку, тип технологии, использованной для обнаружения;
- в случае обнаружения угрозы или уязвимости, дополнительно к информации о проверяемом объекте предоставляется информация об идентификаторе, версии и типе записи в антивирусной базе, название угрозы согласно классификации Правообладателя, дата и время последнего обновления антивирусной базы, идентификатор уязвимости и класс её опасности;
- информацию о выполнении эмуляции исполняемого файла, в том числе размер файла и его контрольные суммы (MD5, SHA2-256), версия компонента эмуляции, глубина эмуляции, вектор характеристик логических блоков и функций внутри логических блоков, полученный в ходе эмуляции, данные из структуры PE-заголовка исполняемого файла;
- в случае обнаружения потенциально вредоносного объекта предоставляется информация о данных в памяти процессов, элементы иерархии системных объектов (ObjectManager), данные памяти UEFI BIOS, названия ключей реестра и их значения;
- информацию о событиях в системных журналах, в том числе время события, название журнала, в котором обнаружено событие, тип и категория события, название источника события и его описание;
- информацию о сетевых соединениях, в том числе версия и контрольные суммы (MD5, SHA2-256, SHA1) файла процесса, открывшего порт, путь к файлу процесса и его цифровая подпись, локальный и удалённый IP-адреса, номера локального и удалённого портов соединения, состояние соединения, время открытия порта;
- значение фильтра TARGET задачи обновления, информацию о версии используемого протокола соединения с сервисами Правообладателя.

Для дополнительной проверки в Лаборатории Касперского Пользователь соглашается предоставлять файлы, их части и их контрольные суммы, в отношении которых существует риск использования их злоумышленником с целью нанесения вреда компьютеру Пользователя.
Также в целях предотвращения и расследования возникших инцидентов Пользователь соглашается предоставлять исполняемые и неисполняемые доверенные файлы, отчеты об активностях приложений, участки оперативной памяти компьютера, загрузочные сектора операционной системы, а также следующую информацию о файлах и процессах:
- имена и пути к файлам, к которым получал доступ процесс;
- имена ключей реестра и их значения, к которым получал доступ процесс;
- URL- и IP-адреса, к которым обращался процесс;
- URL- и IP-адреса, с которых был получен запускаемый файл.

Для своевременного выявления и исправления ошибок, связанных с механизмом установки, удаления и обновления продукта, а также для учета количества пользователей Пользователь соглашается предоставлять информацию о дате установки и активации ПО на компьютере, язык локализации ПО, ключ активации и идентификатор установленной лицензии, признак участия Пользователя в KSN.

Для улучшения качества работы продуктов Правообладателя Пользователь соглашается предоставлять в Лабораторию Касперского следующую информацию:
- версию компонента, выполняющего обновления, код ошибки обновления, в случае ее возникновения, статус продукта после выполнения задачи обновления, идентификатор типа задачи обновления;
- число неуспешных завершений обновления и количество аварийных завершений работы компонента, выполняющего обновления, за всё время его работы;
- версию и контрольные суммы (MD5, SHA2-256, SHA1) файла ядра ОС, параметры режима работы ОС;
- информацию об установленном на компьютере программном обеспечении, в том числе его название и название его производителей, информация о ключах реестра и их значениях, информация о файлах компонент установленного программного обеспечения (в том числе контрольные суммы (MD5, SHA2-256, SHA1) файла, имя файла, путь к файлу на компьютере, размер, версия и цифровая подпись);
- информацию об установленном на компьютере аппаратном обеспечении, в том числе тип, название, модель, версия прошивки, характеристики встроенных и подключенных устройств;
- информацию о неуспешной последней перезагрузке ОС, в том числе количество неуспешных перезагрузок.

При участии в программе KSN для всех перечисленных выше целей Вы соглашаетесь предоставлять следующую информацию:
- уникальный идентификатор установки ПО на компьютере;
- полная версия установленного ПО;
- идентификатор типа ПО;
- уникальный идентификатор компьютера, на котором установлено ПО;
- информацию о версии установленной на компьютере операционной системы (ОС) и установленных пакетов обновлений.

В случае отказа от участия в программе KSN перечисленные выше данные не передаются. Данные обрабатываются и хранятся в ограниченном и защищенном разделе на компьютере Пользователя. Указанные данные не могут быть восстановлены после удаления ПО. Если вы соглашаетесь участвовать в KSN в процессе использования ПО, указанные данные передаются в Лабораторию Касперского для указанных выше целей.

Полученная информация защищается Лабораторией Касперского в соответствии с установленными законом требованиями и действующими правилами Лаборатории Касперского.

Лаборатория Касперского использует полученную информацию только в обезличенном виде и в виде данных общей статистики. Данные общей статистики формируются автоматически из исходной полученной информации и не содержат персональных данных и иной конфиденциальной информации. Исходная полученная информация уничтожается по мере накопления (один раз в год). Данные общей статистики хранятся бессрочно.

Предоставление вышеуказанной информации является добровольным. Функцию предоставления информации можно в любой момент включить или выключить в окне настройки соответствующего ПО Лаборатории Касперского способом, описанным в Руководстве Пользователя.

© АО «Лаборатория Касперского», 2016.
