GetSystemdUnitPath()
{
    local result=''
    local etcSystemd='/etc/systemd/system'
    local usrLibSystemd='/usr/lib/systemd/system'

    ps -p 1 -o comm= | grep 'systemd' >/dev/null 2>&1
    if [ $? -eq 0 ]; then
       if [ -d "${etcSystemd}" ]; then
           result="${etcSystemd}"
       else
           if [ -d "${usrLibSystemd}" ]; then
               result="${usrLibSystemd}"
           else
               Die "There is unsupported OS or configuration. Let's provide symlink '${etcSystemd}' to systemd unit directory."
           fi
       fi
    fi

    if [ -z "$1" ]; then
        echo "${result}"
    else
        eval "$1='${result}'"
    fi
}
