package KL::Localization::en;

use strict;
use warnings;

require Exporter;
our @ISA = qw(Exporter);
do 'KL/Localization/export.pl' or die '$!';

our $HEADER_SHOW_EULA = <<EOT;
Accepting the End User License Agreement (EULA)
EOT

our $MSG_SHOW_EULA_BEGIN = <<EOT;
Please read and accept the End User License Agreement (EULA) to continue.
EOT

our $MSG_SHOW_EULA_FILE_PATH_MESSAGE = <<EOT;
Read EULA from file: "%1" (utf-8), if it cannot be read here.
EOT

our $MSG_SHOW_AGREEMENT_HOWTO_QUIT = <<EOT;

<B>NOTE:</B> To quit the EULA viewer, press the "q" key.
EOT

our $MSG_SHOW_AGREEMENT_END = <<EOT;

Press Enter to display the EULA:
EOT

our $MSG_SHOW_AGREEMENT_ERROR = <<EOT;
Could not display the EULA file %1: %2.
EOT
our $MSG_UNEXPECTED_ERROR = <<EOT;
Unexpected error: %1.
EOT
    
our $MSG_SHOW_EULA_QUESTION = <<EOT;
Do you accept the EULA? [%def_answer%]:
EOT

our $MSG_SHOW_EULA_NOT_ACCEPTED = <<EOT;
The EULA was not accepted.


EOT

our $HEADER_SHOW_KSNUA = <<EOT;
Kaspersky Security Network (KSN) User Agreement
EOT

our $MSG_SHOW_KSNUA_BEGIN = <<EOT;
Please read and accept the Kaspersky Security Network (KSN) User Agreement (optional).
Please note, you will not be able to participate in KSN if you do not accept the KSN User Agreement.
EOT

our $MSG_SHOW_KSNUA_FILE_PATH_MESSAGE = <<EOT;
Read the KSN User Agreement from file: "%1" (utf-8), if it cannot be read here.
EOT

our $MSG_SHOW_KSNUA_QUESTION = <<EOT;
Do you accept the KSN User Agreement? [%def_answer%]:
EOT

our $MSG_SHOW_KSNUA_NOT_ACCEPTED = <<EOT;
The KSN User Agreement was not accepted.
EOT
    
our $MSG_SHOW_ENGLISH_AGREEMENT_QUESTION = <<EOT;
Do you want to read the KSN User Agreement in English? [%def_answer%]:
EOT

our $HEADER_INSTALL_KEY = <<EOT;
Activate the application
EOT

our $MSG_ACTIVATION_ENTER_TRIAL = <<EOT;
You need to activate the application to use it.
To activate the application now, enter the path to your key file or an activation code. Enter an empty string to activate the built-in trial key:
EOT

our $MSG_ACTIVATION_ENTER_SKIP = <<EOT;
You need to activate the application to use it.
To activate the application now, enter the path to your key file or an activation code. Enter an empty string to skip the activation:
EOT

our $MSG_INSTALL_OPENDIR_FAILED = <<EOT;
Could not open the %1 directory: %2.
EOT

our $MSG_ACTIVATION_SUCCESS = <<EOT;
Activation completed successfully.
EOT

our $MSG_ACTIVATION_FAILED = <<EOT;
The activation from '%1' is not completed: %2

EOT

our $MSG_TRIAL_KEY_ACTIVATION_SUCCESS = <<EOT;
The built-in trial key activation is completed successfully.
EOT

our $MSG_TRIAL_KEY_ACTIVATION_FAILED = <<EOT;
The built-in trial key '%1' activation is not completed: %2

EOT
our $HEADER_SETUP_UPDATE_SOURCE = <<EOT;
Configuring the update source
EOT
our $MSG_SET_UPDATE_SOURCE = <<EOT;
Set up Updater source. Possible values: KLServers|SCServer|<url>: [%def_answer%]:
EOT
our $HEADER_SETUP_PROXY = <<EOT;
Configuring proxy settings to connect to the updates source
EOT

our $MSG_CANNOT_SHOW_LICENSE_WITH_THE_CODEPAGE = <<EOT;
The terminal has incompatible codepage. Please set codepage to UTF-8 and restart the script. You can read file %1 (utf-8).
EOT

our $MSG_SET_HTTP_PROXY = <<EOT;
If you use an HTTP proxy server to access the Internet, please enter
the address in one of the following formats:
proxyIP:port or user:pass\@proxyIP:port or enter 'no' [%def_answer%]:
EOT

our $MSG_INVALID_PROXY_SETTING = <<EOT;
Invalid proxy settings %1\n.
EOT
    
our $MSG_SET_PROXY_UPDATED = <<EOT;
Proxy settings is set to '%1'.
EOT

our $HEADER_SETUP_AUTOUPDATES = <<EOT;
Enabling scheduled updates of the application databases
EOT

our $MSG_SET_AUTOUPDATES = <<EOT;
Would you like to enable scheduled updates? [%def_answer%]:
EOT

our $MSG_SET_AUTOUPDATES_SUCCESS = <<EOT;
Scheduled updates are enabled.
%1
EOT

our $MSG_SET_AUTOUPDATES_FAILED = <<EOT;
An error occurred while enabling scheduled updates: %1.
EOT

our $HEADER_DOWNLOAD_BASES = <<EOT;
Downloading the latest application databases
EOT

our $MSG_NOT_CONFIGURED_NOTICE = <<EOT;
<B>%1</B> has been installed successfully, but it must be properly configured before using.
Please run <B>%2</B> script manually to configure it.
EOT

our $MSG_USAGE_HELP = <<EOT;
Usage: $0 [<option>]
Perform post-install configuration actions specified by option (--postinstall by default).

Options:
EOT

our $MSG_AI_EXECUTED_INFO = <<EOT;
Executing automatic installation using parameters from file '%1'.
EOT

our $MSG_AI_LOAD_FAILED = <<EOT;
Cannot read parameters of automatic installation from file '%1'.
EOT

our $MSG_AI_SAVE_FAILED = <<EOT;
Cannot write automatic installation parameter %1=%2 to file %3: %4.
EOT

our $MSG_AI_VALIDATION_FAILED = <<EOT;
Automatic installation failed, invalid values found.
EOT

our $MSG_AI_INSTALLATION_CANCELED = <<EOT;
Automatic installation is canceled.
EOT

our $MSG_CMD_HELP_POSTINSTALL = "--postinstall\tPerform user-interactive configuration (default)";
our $MSG_CMD_HELP_AUTOINSTALL = "--autoinstall=<file>\tPerform automatic configuration using settings from file\t(see file '%1' for example)";
our $MSG_CMD_HELP_BUILD = "-b, --build[=<path>]\tCompile and install the kernel-level real-time protection module";
our $MSG_CMD_HELP_HELP = "-h, --help\tDisplay this Help and exit";

our $MSG_CANT_EXECUTE = <<EOT;
Could not execute the command %1 %2: %3.
EOT

our $MSG_CANNOT_SAVE_TEMP_FILE = <<EOT;
Cannot save a temporary file.
EOT
    
our $MSG_COMMAND_FAILED = <<EOT;
Could not execute the command %1: %2.
EOT

our $HEADER_SETUP_OAS = <<EOT;
Setting up the kernel-level real-time protection
EOT

our $MSG_OAS_CONFIGURE_NOT_FOUND = <<EOT;
Could not find the initial configuration script in directory %2.
EOT

our $MSG_OAS_OS_NOT_SUPPORTED = <<EOT;
The %1 OS is not supported.
EOT

our $MSG_OAS_MODULE_CONFIRM = <<EOT;
Would you like to compile the kernel-level real-time protection module?
EOT

our $MSG_OAS_LINUX_SRC_FOUND_AT = <<EOT;
Linux kernel source code is found at '%1'.
EOT

our $MSG_OAS_ENTER_LINUX_PATH = <<EOT;
The installer found the source code for your Linux kernel. Press Enter to confirm this path, or enter another path to the source code for your Linux kernel, or enter 'cancel' to interrupt the compilation of the kernel-level real-time protection module:
EOT

our $MSG_OAS_ENTER_ANOTHER_LINUX_PATH = <<EOT;
Enter another path to the source code for your Linux kernel, or enter 'cancel' to interrupt the compilation of the kernel-level real-time protection module: 
EOT

our $MSG_OAS_BAD_LINUX_PATH = <<EOT;
The %1 path is not a correct Linux kernel path.

EOT

our $MSG_OAS_BUILD_TOOLS_NOT_FOUND = <<EOT;
The following build tools are not found:

EOT

our $MSG_OAS_NEED_INSTALL_NECESSARY_PACKAGES = <<EOT;

Probably, you need to install necessary packages to build the kernel-level real-time protection module.
EOT


our $MSG_OAS_AUTO_INSTALL_REQUIRED_PACKAGES_Q = <<EOT;
Do you want to install required package(s) automatically [%def_answer%]?
EOT

our $MSG_OAS_BUILD_TOOLS_INSTALLATION_FAILED = <<EOT;
Build tools installation failed.
Try to install them manually, and start this setup script again with the '-B' option.
EOT

our $MSG_OAS_BUILD_TOOLS_DONT_KNOWN_HOW_TODO_AUTO_INSTALL = <<EOT;
Cannot detect how to install build tools automatically for this operation system.
EOT

our $MSG_OAS_LINUX_SRC_DONT_KNOWN_HOW_TODO_AUTO_INSTALL = <<EOT;
Cannot detect how to install the Linux kernel source code automatically for this operation system.
EOT

our $MSG_OAS_KERNEL_SRCS_NOT_FOUND = <<EOT;
Could not find the Linux kernel source code.
EOT

our $MSG_OAS_KERNEL_SRCS_PROBABLY_NEED_INSTALL = <<EOT;
Probably you need to install the Linux kernel source package to build the kernel-level real-time protection module.
EOT

our $MSG_OAS_KERNEL_SRCS_NOT_FOUND_AT = <<EOT;
Could not find the Linux kernel source code in %1.
EOT

our $MSG_OAS_LINUX_SRC_INSTALLATION_FAILED = <<EOT;

The Linux kernel source code package installation failed.
Try to install it manually, and start this setup script again with the '-B' option.
EOT

our $MSG_OAS_KERNEL_SRCS_DEF_LOCATIONS = 'default locations';

our $MSG_OAS_KERNEL_SRCS_NOT_CONFIGURED = <<EOT;
The Linux kernel source code found in %1 is not configured correctly. You need to configure it to build the kernel-level real-time protection module.
EOT

our $MSG_OAS_LINUX_STEP_CONFIGURING = <<EOT;
>>> Configuring the kernel-level real-time protection module using the Linux kernel source code from %1.
EOT

our $MSG_OAS_LINUX_STEP_COMPILING = <<EOT;
>>> Compiling the kernel-level real-time protection module
EOT

our $MSG_OAS_LINUX_COMPILE_ERROR = <<EOT;
Could not compile the module.
EOT

our $MSG_OAS_LINUX_MKDIR_ERROR = <<EOT;
Could not create the %1 directory.
EOT

our $MSG_OAS_LINUX_CANT_FIND_MODULE = <<EOT;
Could not find a compiled kernel-level real-time protection module.
EOT

our $MSG_OAS_LINUX_CANT_FIND_REDIR_MODULE = <<EOT;
Could not find a compiled kernel-level redirfs framework module.
EOT

our $MSG_OAS_LINUX_STEP_INSTALL = <<EOT;
>>> Installing the module as %1
EOT

our $MSG_OAS_LINUX_STEP_REBUILD_DEPS = <<EOT;
>>> Rebuilding modules.dep
EOT

our $MSG_OAS_LINUX_STEP_PROBE = <<EOT;
>>> Probing a new module
EOT

our $MSG_OAS_LINUX_STEP_DELETE = <<EOT;
>>> Deleting %1
EOT

our $MSG_OAS_LINUX_BUILD_FAILED = <<EOT;
Could not install the %1 module. Probably, the specified Linux kernel source code is not for the Linux kernel that you are currently using. You can run the initial configuration script again by executing <B>%2 --build[=PATH]</B>.
EOT

our $MSG_OAS_LINUX_STEP_UNLOAD = <<EOT;
>>> Unloading the module %1
EOT

our $MSG_OAS_FREEBSD_STEP_CONFIGURE = <<EOT;
>>> Configuring the FreeBSD kernel module...
EOT

our $MSG_OAS_FREEBSD_STEP_COMPILE = <<EOT;
>>> Compiling the FreeBSD kernel module
EOT

our $MSG_OAS_FREEBSD_COMPILE_ERROR = <<EOT;
Could not compile the %1 module.
EOT

our $MSG_OAS_FREEBSD_STEP_PROBE = <<EOT;
>>> Probing the new module
EOT

our $MSG_OAS_FREEBSD_STEP_DELETE = <<EOT;
>>> Deleting %1...
EOT

our $MSG_OAS_FREEBSD_BUILD_FAILED = <<EOT;
Could not install the %1 module.
EOT

our $MSG_OAS_FREEBSD_STEP_UNLOAD = <<EOT;
>>> Unloading the module
EOT

our $MSG_OAS_MODULE_WARN = <<EOT;
The kernel-level real-time protection module is not compiled.
To recompile the kernel-level real-time protection module manually, start
<B>%1 --build[=PATH]</B>.

EOT

our $MSG_OAS_DISABLE_CONFIRM = <<EOT;
Would you like to disable the real-time protection?
EOT

our $MSG_OAS_DISABLED_WARN = <<EOT;
The real-time protection is DISABLED.
EOT

our $MSG_GET_PROXY_FAILED = <<EOT;
Could not get proxy settings.
EOT

our $MSG_CHANGE_PROXY_FAILED = <<EOT;
Could not change proxy settings.
EOT

our $MSG_FORBIDDEN_CONTROL_SEQUENCE = <<EOT;
Do not use control sequences.
EOT

our $MSG_USE_CODES_FOR_RFC3986_GEN_DELIMS_CHARACTERS = <<EOT;
ALPHA, DIGIT, and "sub-delims" symbols are allowed (see RFC3986). Use \%xx for other symbols.
EOT
    
our $MSG_INCORRECT_PROXY_VALUE = <<EOT;
The %1 value is not correct value for proxy settings.
EOT

our $MSG_AUTOUPDATE_HOURLY = <<EOT;
The application databases are scheduled to be updated hourly.
EOT

our $MSG_AUTOUPDATE_MANUALLY = <<EOT;
The application databases are scheduled to be updated manually.
EOT

our $MSG_UPGRADE_MODULE_WARN = <<EOT;
An error occurred while converting the settings. For more information, see %1.
EOT

our $HEADER_START_OAS = <<EOT;
Starting the real-time protection task
EOT

our $HEADER_SERVICE_LOCALE = <<EOT;
Setting up the Anti-Virus Service default locale
EOT

our $MSG_SERVICE_LOCALE_CHANGED = <<EOT;
Anti-Virus Service  default locale is changed to '%1'.
Service will be restarted if already running.
EOT

our $MSG_SERVICE_ASK_LOCALE = <<EOT;
You need to specify a locale the Anti-Virus Service will use when applying the protection settings.
It is important to specify the locale you are using when working with the file system names (in most cases this should be the system default locale) [%def_answer%]:
EOT

our $MSG_SERVICE_BAD_LOCALE = <<EOT;
'%1' is not a valid locale. %2
EOT

our $MSG_SERVICE_LOCALE_HINT_LIST = <<EOT;
You can execute 'locale -a' command line to see the list of all available locales.
EOT

our $MSG_SERVICE_LOCALE_HINT_ETC = <<EOT;
Please select one of locales from /etc/locale. Please note that on some systems not all of the locales shown by 'locale -a' command are actually available.
EOT

our $MSG_RUN_UPDATER = <<EOT;
The latest databases are an essential part of your server protection.
Would you like to download the latest databases now? [%def_answer%]:
EOT

our $MSG_WAIT_AFTER_RESTART = <<EOT;
Waiting for %1 to make ready after restart...
EOT

our $MSG_ERROR_NOTREADY_AFTER_RESTART = <<EOT;
%1 is not ready yet!
EOT

our $HEADER_WMCONSOLE = <<EOT;
Setting up the web console
EOT

our $MSG_WMCONSOLE_PASS_CONFIRM = <<EOT;
Would you like to set a password for the web console?
EOT

our $MSG_WMCONSOLE_WARN_PASSWORD_NOT_SET = <<EOT;
Password file not found, the web console will not be started until correct password is set.
EOT

our $MSG_WMCONSOLE_PASS_HINT = <<EOT;
You can change the password for the console by executing <B>%1</B>.
EOT

our $MSG_WMCONSOLE_BROWSE_HINT = <<EOT;
To open the Kaspersky Endpoint Security web console, enter the following address in the address line in your browser:
http://<ip-address-or-domain-name-of-the-protected-server>:9080
EOT

our $HEADER_SETUP_UPDATER_SOURCE = <<EOT;
Configuring the anti-virus database update source
EOT

our $MSG_UPDATER_SOURCE_CHANGED = <<EOT;
The anti-virus database update source is changed to '%1'
EOT

our $MSG_UPDATER_SOURCE_CHANGE_FAILED = <<EOT;
Cannot set the anti-virus database update source to '%1'.
EOT

our $MSG_MKDIR_SYSTEMD_FAILED = <<EOT;
Cannot create %1 folder for systemd.
EOT

our $MSG_RELOAD_SYSTEMD_FAILED = <<EOT;
Failed to reload systemd daemon. For details please run journalctl -xn.
EOT

our $MSG_COPY_SYSTEMD_FAILED = <<EOT;
Failed to install %1 into %2.
EOT

our $MSG_RM_FAILED = <<EOT;
Failed to remove '%1': %2.
EOT

our $MSG_FAIL_UPDATE_MESSAGE = <<EOT;
Failed to update.
EOT
    
our $MSG_SET_UPDATE_SETTINGS_ONE_MORE = <<EOT;
Do you want to set other update settings? [%def_answer%]
EOT

our $MSG_SETUP_SCRIPT_COMPLETED_SUCCESSFULLY = <<EOT;
<B>The setup script completed successfully.</B>
EOT

our $MSG_KLNAGENT_IS_RUNNING_ON_THE_COMPUTER = <<EOT;
klnagent is running on the computer.
Please proceed configuration via Kaspersky Security Center (KSC).
EOT

our $MSG_PRODUCT_IS_RUNNING_UNDER_POLICY = <<EOT;
The application is working under a policy.
Please proceed configuration via Kaspersky Security Center (KSC).
EOT

our $MSG_NOT_IMPLEMENTED_FOR_NON_LINUX = <<EOT;
Not implemented for non-linux OS.
EOT

our $MSG_TRY_TO_START = <<EOT;
Starting %1. It can take some time. Please wait.
EOT

our $MSG_TRY_TO_STOP = <<EOT;
Stopping %1. It can take some time. Please wait.
EOT

our $MSG_STOP_SERVICE_TO_PROCEED = <<EOT;
Application cannot be configured while it is running.
Do you want to stop the application and proceed with configuration? [%def_answer%]:
EOT

our $MSG_COMMERCIAL_LICENSE = "commercial";
our $MSG_TRIAL_LICENSE = "trial";
our $MSG_BLACKLISTED_LICENSE = "blacklisted";
our $MSG_OUTDATED_LICENSE = "outdated";
our $MSG_INVALID_LICENSE = "invalid";

our $MSG_VALID_LICENSE_IS_ALREADY_INSTALLED = <<EOT;
The valid %1 key is already installed on this computer.
Do you want to continue using it?
If you answer 'no', the key will be removed [%def_answer%]:
EOT

our $MSG_INVALID_LICENSE_IS_ALREADY_INSTALLED = <<EOT;
The %1 commercial key is already active on this computer.
You may keep this key active, but the application will work with the limited functionality.
Do you still want to continue using this %2 key?
If you answer 'no' the key will be removed [%def_answer%]:
EOT

our $MSG_CONFIGURING_GUI = <<EOT;
Configuring GUI
EOT

our $MSG_USE_GUI_QUESTION = <<EOT;
Do you want to use GUI? [%def_answer%]:
EOT

our $MSG_GUI_DEPENDENCIES_DONT_KNOW_HOW_TO_CHECK = <<EOT;
Cannot detect how to check GUI dependencies automatically for this operating system.
EOT

our $MSG_GUI_DEPENDENCIES_DONT_KNOW_HOW_TO_INSTALL = <<EOT;
Cannot detect how to install GUI dependencies automatically for this operating system.
EOT

our $MSG_GUI_DEPENDENCIES_INSTALL_FAILED = <<EOT;

Automatic installation of GUI dependencies failed.
Try to install dependencies manually and start setup script again.
EOT

our $MSG_GUI_DEPENDENCIES_INSTALL_INCOMPLETE = <<EOT;

Automatic installation does not resolve all GUI dependencies.
Try to install dependencies manually and start setup script again.
EOT

our $MSG_GUI_LOOKING_FOR_SESSION = <<EOT;
Looking for the graphical loging session
EOT

our $MSG_GUI_NO_SESSION_FOUND = <<EOT;
No graphical session found
EOT

our $MSG_GUI_SESSION_FOUND = <<EOT;
Found graphical login session (user %1, pid %2)
EOT

our $MSG_GUI_GETTING_USER_INFO = <<EOT;
Getting user info
EOT

our $MSG_GUI_GOT_USER_INFO = <<EOT;
Got user info (uid %1, gid %2)
EOT

our $MSG_GUI_GETTING_ENVIRONMENT = <<EOT;
Getting environment from the graphical login session
EOT

our $MSG_GUI_CANNOT_GET_ENVIRONMENT = <<EOT;
Cannot get environment from the graphical login session
EOT

our $MSG_GUI_STARTING = <<EOT;
Starting GUI in the graphical login session
EOT

our $MSG_CANNOT_FORK = "Cannot fork";
our $MSG_CANNOT_EXECUTE = "Cannot execute command %1: %2";
our $MSG_CANNOT_OPEN = "Cannot open file %1: %2";
our $MSG_CANNOT_GETPWNAM = "Cannot get info for user %1: %2";

our $MSG_CANNOT_STOP_SERVICE = "Application cannot be stopped. Configuration is aborted.";
our $MSG_CONFIGURATION_ABORTED = "Configuration is aborted.";

our $MSG_CONFIGURING_FILE_INTERCEPTOR = "Configuring file interceptors";
our $MSG_CHECKING_FANOTIFY_AVAILABLE  = "Checking if fanotify is available...";
our $MSG_USING_FANOTIFY_INTERCEPTOR   = "Using fanotify interceptor";
our $MSG_FANOTIFY_NOT_AVAILABLE       = "Cannot use fanotify";
our $MSG_CANNOT_LOAD_INI_FILE         = "Cannot load application configuration file";
our $MSG_CANNOT_SAVE_INI_FILE         = "Cannot save application configuration file";

our $MSG_CONFIGURING_KSN      = "Configuring KSN";
our $MSG_PARTICIPATE_IN_KSN   = "Do you want to participate in KSN (you can read KSN User Agreement here: '%1')? [%def_answer%]:";
our $MSG_FAILED_TO_SETUP_KSN = "Failed to setup KSN";

our $MSG_CMD_HELP_LOCALE = "-L, --locale\tSet up service default locale";
our $MSG_CMD_HELP_WMCONSOLE = "-W, --wmconsole\tChange the web console password";
our $MSG_CMD_HELP_SAMBA = "-S, --samba\tSet up the Samba Server real-time protection";

our $MSG_AI_HELP_EULA_AGREED = "=yes\tEnd User License Agreement flag, must be 'yes' (required)";
our $MSG_AI_HELP_USE_KSN = "=yes|no\tUse KSN (required)";
our $MSG_AI_HELP_SERVICE_LOCALE = "=<locale>\tSet up the service default locale";
our $MSG_AI_HELP_INSTALL_LICENSE = "=<activation>\tActivation code or key file";
our $MSG_AI_HELP_UPDATER_SOURCE = "=<U>KLServers</U>|SCServer|<url>\tSet up Updater source";
our $MSG_AI_HELP_PROXY_SERVER = "=<U>none</U>|<url>\tSet up proxy server";
our $MSG_AI_HELP_UPDATE_EXECUTE = "=<U>yes</U>|no\tRun the anti-virus database update procedure";
our $MSG_AI_HELP_UPDATER_ENABLE_AUTO = "=yes|no\tEnable auto-updates";
our $MSG_AI_HELP_KERNEL_SRCS_INSTALL = "=<U>yes</U>|no\tDownload Linux kernel source automatically";
our $MSG_AI_HELP_USE_GUI = "=yes|<U>no</U>\tUse GUI";
our $MSG_AI_HELP_RTP_BUILD_KERNEL_MODULE = "=yes|no\tBuild On-Access kernel module";
our $MSG_AI_HELP_RTP_BUILD_KERNEL_SRCS = "=<path>|auto\tPath to kernel source tree directory or 'auto'";
our $MSG_AI_HELP_RTP_SAMBA_ENABLE = "=yes|no|auto\tEnable integration with Samba server";
our $MSG_AI_HELP_RTP_SAMBA_CONF = "=<path>\tPath to Samba server configuration file";
our $MSG_AI_HELP_RTP_SAMBA_VFS = "=<path>\tPath to Samba server VFS library directory";
our $MSG_AI_HELP_RTP_SAMBA_VFS_MODULE = "=<path>\tPath to VFS module to be installed";
our $MSG_AI_HELP_RTP_START = "=yes|no\tStart the Real-Time Protection task";

our $MSG_UPDATE_OK_BASES_ARE_DOWNLOADED = "Latest bases are downloaded.";
our $MSG_UPDATE_FAIL_BUT_PRODUCT_HAS_VALID_BASES = "An error occurred while downloading databases. But the application has valid databases.";

1;
