/*
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2010
 * See License.txt for details
 *
 */

#ifndef KERNEL__CACHE_H
#define KERNEL__CACHE_H

void Monitor_cache_init(void);
void Monitor_cache_finit(void);
void Monitor_cache_start(int max_files);
void Monitor_cache_stop(void);
void Monitor_cache_add(const file_info* file);
void Monitor_cache_del(dev_t dev, unsigned long ino);
const file_info* Monitor_cached(dev_t dev, unsigned long ino);
void Monitor_cache_clear(void);

#endif // KERNEL__CACHE_H
