
/*
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2010
 * See License.txt for details
 *
 */

#ifndef KERNEL__MODULE_FREEBSD__FILES_H
#define KERNEL__MODULE_FREEBSD__FILES_H

extern struct vnode* orig_rootmnt;

#if defined(__FreeBSD_version) && __FreeBSD_version < 500000
int get_file_from_userspace(struct proc* thr, const char* u_filename,
                            file_info* info, char** filename);
int vn_fullpath(struct proc* p, struct vnode* vn, char** retbuf, char** freebuf);
char* get_filename_by_file(struct proc* thr, struct file* fp, file_info* info);
#else
int get_file_from_userspace(struct thread* thr, const char* u_filename,
                            file_info* info, char** filename, file_info_ex* info_ex,
                            char** fname_part);
char* get_filename_by_file(struct thread* thr, struct file* fp, file_info* info,
                           file_info_ex* info_ex);
#endif

#if defined(__FreeBSD_version) && __FreeBSD_version < 400006
int textvp_fullpath(struct proc* p, char** retbuf, char** retfreebuf);
#endif


#if defined(__FreeBSD_version) && __FreeBSD_version < 500000
int get_exec_info(struct proc* thr, file_info* info);
#else
int get_exec_info(struct thread* thr, file_info* info);
#endif

#endif // KERNEL__MODULE_FREEBSD__FILES_H
