
/*
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2010
 * See License.txt for details
 *
 */

#ifndef KERNEL__MODULE_FREEBSD__INTERCEPTOR_H
#define KERNEL__MODULE_FREEBSD__INTERCEPTOR_H

#if defined(__FreeBSD_version) && __FreeBSD_version < 500000
int Monitor_cleanup_calls(struct proc* thr);
int Process_trusted(struct proc* tsk);
#else
int Monitor_cleanup_calls(struct thread* thr);
int Process_trusted(struct thread* thr);
#endif
int Monitor_intercept_init(void);
int Monitor_intercept_deinit(void);
int Monitor_intercept_calls(void);
int Monitor_restore_calls(void);

#endif // KERNEL__MODULE_FREEBSD__INTERCEPTOR_H
