
/*
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2010
 * See License.txt for details
 *
 */

#ifndef KERNEL__MODULE_LINUX__INTERCEPTOR_H
#define KERNEL__MODULE_LINUX__INTERCEPTOR_H

#include <linux/binfmts.h>

int Monitor_intercept_construct(void);
int Monitor_intercept_destroy(void);
int Monitor_intercept_init(void);
int Monitor_intercept_exit(void);
int Monitor_intercept_ping(void);

int kavoas_exec(struct file* file);
int kavoas_ulib(struct file* file);

int binary_handler_init(void);
int binary_handler_exit(void);
int open_proc_mounts(void);
int drop_proc_mounts(void);
int kavoas_before_open(struct inode* inode, struct file* file);
int kavoas_after_close(struct inode* inode, struct file* file);
void kavoas_unlink(struct inode* dir, struct dentry* dentry);
void kavoas_rename(struct inode* old_dir, struct dentry* old_dentry,
                   struct inode* new_dir, struct dentry* new_dentry);

#endif // KERNEL__MODULE_LINUX__INTERCEPTOR_H
