
/*
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2015
 * See License.txt for details
 *
 */

#ifndef KERNEL__MODULE_LINUX__WATCHDOG_H
#define KERNEL__MODULE_LINUX__WATCHDOG_H
#include "product_config.h"
#define MONITOR_WATCHDOG_PERIOD 20000
#ifndef MONITOR_WATCHDOG_FILENAME
#error "It must be defined in product_config.h"
#endif //MONITOR_WATCHDOG_FILENAME
#ifndef MONITOR_WATCHDOG_NAME
#error "It must be defined in monitor_watchdog_filename.h"
#endif //MONITOR_WATCHDOG_NAME


struct monitor_watchdog_ops
{
    void (*invoke)(void);
};

int Monitor_watchdog_init(struct monitor_watchdog_ops* ops);
int Monitor_watchdog_cleanup(void);
int Monitor_watchdog_stop(void);

// int Monitor_watchdog_expect(int queue_id);
// void Monitor_watchdog_set(int queue_id);

#endif // KERNEL__MODULE_LINUX__WATCHDOG_H
